org.apache.maven.scm.provider.bazaar

## Class BazaarScmProvider

- java.lang.Object
- - org.apache.maven.scm.provider.AbstractScmProvider
  - - org.apache.maven.scm.provider.bazaar.BazaarScmProvider

All Implemented Interfaces:
  ScmProvider

    public class BazaarScmProvider
    extends AbstractScmProvider

Bazaar NG http://bazaar-vcs.org/ is a decentralized revision control system.

Version:
  $Id: BazaarScmProvider.java 806087 2009-08-20 08:41:15Z struberg $
Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Field Summary

### Fields inherited from interface org.apache.maven.scm.provider.ScmProvider

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`BazaarScmProvider()`

### Method Summary

Methods
`AddScmResult` `add(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`ChangeLogScmResult` `changelog(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckInScmResult` `checkin(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`CheckOutScmResult` `checkout(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`DiffScmResult` `diff(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`String` `getScmSpecificFilename()` Returns the scm reserved file name where the SCM stores information like 'CVS', '.svn'.
`String` `getScmType()`
`ScmProviderRepository` `makeProviderScmRepository(File path)`
`ScmProviderRepository` `makeProviderScmRepository(String scmSpecificUrl, char delimiter)`
`RemoveScmResult` `remove(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`StatusScmResult` `status(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`TagScmResult` `tag(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`UpdateScmResult` `update(ScmProviderRepository repository, ScmFileSet fileSet, CommandParameters parameters)`
`List` `validateScmUrl(String scmSpecificUrl, char delimiter)` Validate the scm url.

### Methods inherited from class org.apache.maven.scm.provider.AbstractScmProvider

`add, add, addListener, branch, branch, branch, branch, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, changeLog, checkIn, checkIn, checkIn, checkOut, checkOut, checkOut, checkOut, checkOut, checkOut, diff, diff, edit, edit, export, export, export, export, export, export, getLogger, list, list, list, login, remove, requiresEditMode, sanitizeTagName, status, tag, tag, tag, unedit, unedit, update, update, update, update, update, update, update, update, update, update, update, update, validateTagName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BazaarScmProvider

    public BazaarScmProvider()

### Method Detail

#### getScmSpecificFilename

    public String getScmSpecificFilename()

Returns the scm reserved file name where the SCM stores information like 'CVS', '.svn'.

Specified by:
  `getScmSpecificFilename` in interface `ScmProvider`
Overrides:
  `getScmSpecificFilename` in class `AbstractScmProvider`
Returns:
  the scm reserved file name

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(String scmSpecificUrl,
                                                  char delimiter)
                                                    throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

#### makeProviderScmRepository

    public ScmProviderRepository makeProviderScmRepository(File path)
                                                    throws ScmRepositoryException,
                                                           UnknownRepositoryStructure

Specified by:
  `makeProviderScmRepository` in interface `ScmProvider`
Overrides:
  `makeProviderScmRepository` in class `AbstractScmProvider`
Throws:
  `ScmRepositoryException`
  `UnknownRepositoryStructure`

#### validateScmUrl

    public List validateScmUrl(String scmSpecificUrl,
                      char delimiter)

Validate the scm url.

Specified by:
  `validateScmUrl` in interface `ScmProvider`
Overrides:
  `validateScmUrl` in class `AbstractScmProvider`
Parameters:
  `scmSpecificUrl` - The SCM url
  `delimiter` - The delimiter used in the SCM url
Returns:
  Returns a list of messages if the validation failed

#### getScmType

    public String getScmType()

#### add

    public AddScmResult add(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                     throws ScmException

Overrides:
  `add` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### changelog

    public ChangeLogScmResult changelog(ScmProviderRepository repository,
                               ScmFileSet fileSet,
                               CommandParameters parameters)
                                 throws ScmException

Overrides:
  `changelog` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkin

    public CheckInScmResult checkin(ScmProviderRepository repository,
                           ScmFileSet fileSet,
                           CommandParameters parameters)
                             throws ScmException

Overrides:
  `checkin` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### checkout

    public CheckOutScmResult checkout(ScmProviderRepository repository,
                             ScmFileSet fileSet,
                             CommandParameters parameters)
                               throws ScmException

Overrides:
  `checkout` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### diff

    public DiffScmResult diff(ScmProviderRepository repository,
                     ScmFileSet fileSet,
                     CommandParameters parameters)
                       throws ScmException

Overrides:
  `diff` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### remove

    public RemoveScmResult remove(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

Overrides:
  `remove` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### status

    public StatusScmResult status(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

Overrides:
  `status` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### tag

    public TagScmResult tag(ScmProviderRepository repository,
                   ScmFileSet fileSet,
                   CommandParameters parameters)
                     throws ScmException

Overrides:
  `tag` in class `AbstractScmProvider`
Throws:
  `ScmException`

#### update

    public UpdateScmResult update(ScmProviderRepository repository,
                         ScmFileSet fileSet,
                         CommandParameters parameters)
                           throws ScmException

Overrides:
  `update` in class `AbstractScmProvider`
Throws:
  `ScmException`